diff --git a/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/SeedViewer.java b/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/SeedViewer.java
index 895be3f55..075973989 100644
--- a/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/SeedViewer.java
+++ b/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/SeedViewer.java
@@ -1,10 +1,10 @@
 package org.useless.seedviewer.gui;
 
 import com.mojang.logging.LogUtils;
+import net.minecraft.core.world.pos.ChunkPos;
 import org.jetbrains.annotations.NotNull;
 import org.slf4j.Logger;
 import org.useless.seedviewer.SeedViewerMain;
-import org.useless.seedviewer.collections.ChunkLocation;
 import org.useless.seedviewer.gui.components.InfoPanel;
 import org.useless.seedviewer.gui.components.InputPanel;
 import org.useless.seedviewer.gui.components.Viewport;
@@ -41,9 +41,9 @@ public class SeedViewer extends JFrame {
         LOGGER.info("Starting Seed Viewer!");
         this.launchProperties = properties;
 
-        viewport = new Viewport(this);
-        inputPanel = new InputPanel(this);
-        infoPanel = new InfoPanel(this);
+        this.viewport = new Viewport(this);
+        this.inputPanel = new InputPanel(this);
+        this.infoPanel = new InfoPanel(this);
 
 
         initFrame();
@@ -88,8 +88,8 @@ public class SeedViewer extends JFrame {
         this.addComponentListener(new ComponentAdapter() {
             @Override
             public void componentResized(ComponentEvent e) {
-                needsResize = true;
-                viewport.repaint();
+                SeedViewer.this.needsResize = true;
+                SeedViewer.this.viewport.repaint();
             }
         });
         this.setLayout(null); // using no layout managers
@@ -114,23 +114,23 @@ public class SeedViewer extends JFrame {
     public void addComponents() {
         // State labels
         LOGGER.info("Creating Labels");
-        infoPanel.setup();
-        this.add(infoPanel);
+        this.infoPanel.setup();
+        this.add(this.infoPanel);
 
         // Checkboxes
         LOGGER.info("Creating Check boxes");
-        inputPanel.setup();
-        this.add(inputPanel);
+        this.inputPanel.setup();
+        this.add(this.inputPanel);
 
         LOGGER.info("Creating Image frame");
-        viewport.setup();
-        this.add(viewport);
+        this.viewport.setup();
+        this.add(this.viewport);
     }
 
     public void initComponents() {
-        if (!needsResize) return;
+        if (!this.needsResize) return;
         LOGGER.info("Initializing Components");
-        needsResize = false;
+        this.needsResize = false;
         int screenWidth = this.getContentPane().getWidth();
         int screenHeight = this.getContentPane().getHeight();
 
@@ -139,8 +139,8 @@ public class SeedViewer extends JFrame {
             if (inWidth < 100) inWidth = 100;
             if (inWidth > 200) inWidth = 200;
             int inHeight = screenHeight - BEZEL * 2;
-            inputPanel.onResize(new Rectangle(0, BEZEL, inWidth, inHeight/2));
-            inputPanel.setVisible(true);
+            this.inputPanel.onResize(new Rectangle(0, BEZEL, inWidth, inHeight/2));
+            this.inputPanel.setVisible(true);
         }
 
         {
@@ -148,14 +148,14 @@ public class SeedViewer extends JFrame {
             if (inWidth < 100) inWidth = 100;
             if (inWidth > 200) inWidth = 200;
             int inHeight = screenHeight - BEZEL * 2;
-            infoPanel.onResize(new Rectangle(0, inputPanel.getY() + inputPanel.getHeight() - 1, inWidth, inHeight/2));
-            infoPanel.setVisible(true);
+            this.infoPanel.onResize(new Rectangle(0, this.inputPanel.getY() + this.inputPanel.getHeight() - 1, inWidth, inHeight/2));
+            this.infoPanel.setVisible(true);
         }
 
         {
-            int viewWidth = screenWidth - (BEZEL * 2) - (inputPanel.isVisible() ? inputPanel.getWidth() : 0);
-            int viewX = BEZEL + (inputPanel.isVisible() ? inputPanel.getWidth() : 0);
-            viewport.onResize(
+            int viewWidth = screenWidth - (BEZEL * 2) - (this.inputPanel.isVisible() ? this.inputPanel.getWidth() : 0);
+            int viewX = BEZEL + (this.inputPanel.isVisible() ? this.inputPanel.getWidth() : 0);
+            this.viewport.onResize(
                 new Rectangle(
                     viewX,
                     BEZEL,
@@ -165,7 +165,7 @@ public class SeedViewer extends JFrame {
     }
 
     public void queueResize() {
-        needsResize = true;
+        this.needsResize = true;
     }
 
     public void forceResize() {
@@ -175,10 +175,10 @@ public class SeedViewer extends JFrame {
 
     public synchronized void tick() {
         initComponents();
-        viewport.tick();
+        this.viewport.tick();
     }
 
-    public static boolean isSlimeChunk(long worldSeed, @NotNull ChunkLocation location) {
+    public static boolean isSlimeChunk(long worldSeed, @NotNull ChunkPos location) {
         long slimeXOR = 0x3AD8025FL;
         Random slimerandom = new Random(worldSeed + (location.x * location.x * 0x4c1906L) + (location.x * 0x5ac0dbL) + (location.z * location.z * 0x4307a7L) + (location.z * 0x5f24fL) ^ slimeXOR);
         return slimerandom.nextInt(10) == 0;
diff --git a/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/InfoPanel.java b/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/InfoPanel.java
index 30a7b6bdf..dd0a61738 100644
--- a/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/InfoPanel.java
+++ b/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/InfoPanel.java
@@ -39,81 +39,81 @@ public class InfoPanel extends JPanel {
     public void setup() {
         final int textHeight = 15;
 
-        titleLabel = new JLabel("Information: ");
-        titleLabel.setSize(0, textHeight);
-        this.add(titleLabel);
+        this.titleLabel = new JLabel("Information: ");
+        this.titleLabel.setSize(0, textHeight);
+        this.add(this.titleLabel);
 
         try {
             Class.forName("net.minecraft.core.Global");
-            btaLabel = new JLabel("BTA Version: " + Global.VERSION);
+            this.btaLabel = new JLabel("BTA Version: " + Global.VERSION);
         } catch (ClassNotFoundException e) {
-            btaLabel = new JLabel("BTA Version: Missing!");
+            this.btaLabel = new JLabel("BTA Version: Missing!");
         }
-        add(btaLabel);
-        resizeList.add(btaLabel);
-
-        seedLabel = new JLabel("Seed: " + seedViewer.viewport.seed);
-        seedLabel.setSize(0, textHeight);
-        seedViewer.viewport.seed.addChangeListener(newValue -> seedLabel.setText("Seed: " + seedViewer.viewport.seed));
-
-        viewLabel = new JLabel(String.format("View: X:%s, Z:%s", seedViewer.viewport.viewX.get(), -seedViewer.viewport.viewZ.get()));
-        viewLabel.setSize(0, textHeight);
-        seedViewer.viewport.viewX.addChangeListener(newValue -> viewLabel.setText(String.format("View: X:%.2f, Z:%.2f", seedViewer.viewport.viewX.get(), -seedViewer.viewport.viewZ.get())));
-        seedViewer.viewport.viewX.addChangeListener(newValue -> {
-            ViewerBiome b = seedViewer.viewport.getHoveredBiome();
+        add(this.btaLabel);
+        this.resizeList.add(this.btaLabel);
+
+        this.seedLabel = new JLabel("Seed: " + this.seedViewer.viewport.seed);
+        this.seedLabel.setSize(0, textHeight);
+        this.seedViewer.viewport.seed.addChangeListener(newValue -> this.seedLabel.setText("Seed: " + this.seedViewer.viewport.seed));
+
+        this.viewLabel = new JLabel(String.format("View: X:%s, Z:%s", this.seedViewer.viewport.viewX.get(), -this.seedViewer.viewport.viewZ.get()));
+        this.viewLabel.setSize(0, textHeight);
+        this.seedViewer.viewport.viewX.addChangeListener(newValue -> this.viewLabel.setText(String.format("View: X:%.2f, Z:%.2f", this.seedViewer.viewport.viewX.get(), -this.seedViewer.viewport.viewZ.get())));
+        this.seedViewer.viewport.viewX.addChangeListener(newValue -> {
+            ViewerBiome b = this.seedViewer.viewport.getHoveredBiome();
             if (b == null) {
-                biomeLabel.setText("Biome: null");
+                this.biomeLabel.setText("Biome: null");
             } else {
-                biomeLabel.setText(String.format("Biome: %s", b.getName()));
+                this.biomeLabel.setText(String.format("Biome: %s", b.getName()));
             }
         });
-        seedViewer.viewport.viewZ.addChangeListener(newValue -> viewLabel.setText(String.format("View: X:%.2f, Z:%.2f", seedViewer.viewport.viewX.get(), -seedViewer.viewport.viewZ.get())));
-        seedViewer.viewport.viewZ.addChangeListener(newValue -> {
-            ViewerBiome b = seedViewer.viewport.getHoveredBiome();
+        this.seedViewer.viewport.viewZ.addChangeListener(newValue -> this.viewLabel.setText(String.format("View: X:%.2f, Z:%.2f", this.seedViewer.viewport.viewX.get(), -this.seedViewer.viewport.viewZ.get())));
+        this.seedViewer.viewport.viewZ.addChangeListener(newValue -> {
+            ViewerBiome b = this.seedViewer.viewport.getHoveredBiome();
             if (b == null) {
-                biomeLabel.setText("Biome: null");
+                this.biomeLabel.setText("Biome: null");
             } else {
-                biomeLabel.setText(String.format("Biome: %s", b.getName()));
+                this.biomeLabel.setText(String.format("Biome: %s", b.getName()));
             }
         });
 
-        zoomLabel = new JLabel("Zoom: " + seedViewer.viewport.zoom);
-        zoomLabel.setSize(0, textHeight);
-        seedViewer.viewport.zoom.addChangeListener(newValue -> zoomLabel.setText("Zoom: " + seedViewer.viewport.zoom));
+        this.zoomLabel = new JLabel("Zoom: " + this.seedViewer.viewport.zoom);
+        this.zoomLabel.setSize(0, textHeight);
+        this.seedViewer.viewport.zoom.addChangeListener(newValue -> this.zoomLabel.setText("Zoom: " + this.seedViewer.viewport.zoom));
 
-        biomeLabel = new JLabel("Biome: None");
-        biomeLabel.setSize(0, textHeight);
+        this.biomeLabel = new JLabel("Biome: None");
+        this.biomeLabel.setSize(0, textHeight);
 
-        worldNameLabel = new JLabel();
-        worldNameLabel.setSize(0, textHeight);
-        seedViewer.viewport.world.addChangeListener(newValue -> worldNameLabel.setText("World: " + (seedViewer.viewport.world.get() == null ? "null" : seedViewer.viewport.world.get().getName())));
-        seedViewer.viewport.world.addChangeListener(newValue -> {
+        this.worldNameLabel = new JLabel();
+        this.worldNameLabel.setSize(0, textHeight);
+        this.seedViewer.viewport.world.addChangeListener(newValue -> this.worldNameLabel.setText("World: " + (this.seedViewer.viewport.world.get() == null ? "null" : this.seedViewer.viewport.world.get().getName())));
+        this.seedViewer.viewport.world.addChangeListener(newValue -> {
             if (newValue != null) {
                 onWorldOpen();
-                seedViewer.queueResize();
+                this.seedViewer.queueResize();
             } else {
                 onWorldClose();
-                seedViewer.queueResize();
+                this.seedViewer.queueResize();
             }
         });
 
-        worldSeedLabel = new JLabel();
-        worldSeedLabel.setSize(0, textHeight);
-        seedViewer.viewport.world.addChangeListener(newValue -> worldSeedLabel.setText("Seed: " + (seedViewer.viewport.world.get() == null ? "null" : seedViewer.viewport.world.get().getSeed())));
+        this.worldSeedLabel = new JLabel();
+        this.worldSeedLabel.setSize(0, textHeight);
+        this.seedViewer.viewport.world.addChangeListener(newValue -> this.worldSeedLabel.setText("Seed: " + (this.seedViewer.viewport.world.get() == null ? "null" : this.seedViewer.viewport.world.get().getSeed())));
 
-        worldPlayedLabel = new JLabel();
-        worldPlayedLabel.setSize(0, textHeight);
-        seedViewer.viewport.world.addChangeListener(newValue -> worldPlayedLabel.setText("Last Played: " + (seedViewer.viewport.world.get() == null ? "?" : DateFormat.getDateTimeInstance().format(new Date(seedViewer.viewport.world.get().getLastPlayed())))));
+        this.worldPlayedLabel = new JLabel();
+        this.worldPlayedLabel.setSize(0, textHeight);
+        this.seedViewer.viewport.world.addChangeListener(newValue -> this.worldPlayedLabel.setText("Last Played: " + (this.seedViewer.viewport.world.get() == null ? "?" : DateFormat.getDateTimeInstance().format(new Date(this.seedViewer.viewport.world.get().getLastPlayed())))));
 
-        addManaged(seedLabel);
-        addManaged(viewLabel);
-        addManaged(zoomLabel);
-        addManaged(biomeLabel);
-        addManaged(worldNameLabel);
-        addManaged(worldSeedLabel);
-        addManaged(worldPlayedLabel);
+        addManaged(this.seedLabel);
+        addManaged(this.viewLabel);
+        addManaged(this.zoomLabel);
+        addManaged(this.biomeLabel);
+        addManaged(this.worldNameLabel);
+        addManaged(this.worldSeedLabel);
+        addManaged(this.worldPlayedLabel);
 
-        if (seedViewer.viewport.world.get() == null) {
+        if (this.seedViewer.viewport.world.get() == null) {
             onWorldClose();
         } else {
             onWorldOpen();
@@ -122,31 +122,31 @@ public class InfoPanel extends JPanel {
 
     public void addManaged(Component c) {
         add(c);
-        resizeList.add(c);
+        this.resizeList.add(c);
     }
 
     public void onWorldOpen() {
-        worldNameLabel.setEnabled(true);
-        worldNameLabel.setVisible(true);
-        worldSeedLabel.setEnabled(true);
-        worldSeedLabel.setVisible(true);
-        worldPlayedLabel.setEnabled(true);
-        worldPlayedLabel.setVisible(true);
-
-        seedLabel.setEnabled(false);
-        seedLabel.setVisible(false);
+        this.worldNameLabel.setEnabled(true);
+        this.worldNameLabel.setVisible(true);
+        this.worldSeedLabel.setEnabled(true);
+        this.worldSeedLabel.setVisible(true);
+        this.worldPlayedLabel.setEnabled(true);
+        this.worldPlayedLabel.setVisible(true);
+
+        this.seedLabel.setEnabled(false);
+        this.seedLabel.setVisible(false);
     }
 
     public void onWorldClose() {
-        worldNameLabel.setEnabled(false);
-        worldNameLabel.setVisible(false);
-        worldSeedLabel.setEnabled(false);
-        worldSeedLabel.setVisible(false);
-        worldPlayedLabel.setEnabled(false);
-        worldPlayedLabel.setVisible(false);
-
-        seedLabel.setEnabled(true);
-        seedLabel.setVisible(true);
+        this.worldNameLabel.setEnabled(false);
+        this.worldNameLabel.setVisible(false);
+        this.worldSeedLabel.setEnabled(false);
+        this.worldSeedLabel.setVisible(false);
+        this.worldPlayedLabel.setEnabled(false);
+        this.worldPlayedLabel.setVisible(false);
+
+        this.seedLabel.setEnabled(true);
+        this.seedLabel.setVisible(true);
     }
 
     public void onResize(Rectangle newDimensions) {
@@ -154,10 +154,10 @@ public class InfoPanel extends JPanel {
 
         final int edgePad = 5;
         final int elementPad = 2;
-        titleLabel.setBounds(edgePad, edgePad, newDimensions.width - edgePad * 2, titleLabel.getHeight());
+        this.titleLabel.setBounds(edgePad, edgePad, newDimensions.width - edgePad * 2, this.titleLabel.getHeight());
 
-        int lastY = titleLabel.getY() + titleLabel.getHeight() + edgePad * 2;
-        for (Component c : resizeList) {
+        int lastY = this.titleLabel.getY() + this.titleLabel.getHeight() + edgePad * 2;
+        for (Component c : this.resizeList) {
             if (!c.isVisible()) continue;
             c.setBounds(edgePad, lastY, newDimensions.width - edgePad * 2, c.getHeight());
             lastY += c.getHeight() + elementPad;
diff --git a/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/InputPanel.java b/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/InputPanel.java
index 7d461c6cd..ad0befb86 100644
--- a/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/InputPanel.java
+++ b/util/seed-viewer/src/main/java/org/useless/seedviewer/gui/components/InputPanel.java
@@ -51,67 +51,67 @@ public class InputPanel extends JPanel {
         final int textFieldHeight = 30;
         final int button = 30;
 
-        titleLabel = new JLabel("User Controls: ");
-        titleLabel.setSize(0, textHeight);
-        this.add(titleLabel);
-
-        slimeChunksBox = new JCheckBox("Slime Chunks");
-        slimeChunksBox.setSize(0, boxHeight);
-        slimeChunksBox.setSelected(seedViewer.viewport.showSlimeChunks.get());
-        slimeChunksBox.addChangeListener(e -> seedViewer.viewport.showSlimeChunks.set(slimeChunksBox.isSelected()));
-        slimeChunksBox.addChangeListener(e -> seedViewer.viewport.repaint());
-
-        showBordersBox = new JCheckBox("Chunk Borders");
-        showBordersBox.setSize(0, boxHeight);
-        showBordersBox.setSelected(seedViewer.viewport.showChunkBorders.get());
-        showBordersBox.addChangeListener(e -> seedViewer.viewport.showChunkBorders.set(showBordersBox.isSelected()));
-        showBordersBox.addChangeListener(e -> seedViewer.viewport.repaint());
-
-        showBiomesBox = new JCheckBox("Show Biomes");
-        showBiomesBox.setSize(0, boxHeight);
-        showBiomesBox.setSelected(seedViewer.viewport.showBiomes.get());
-        showBiomesBox.addChangeListener(e -> seedViewer.viewport.showBiomes.set(showBiomesBox.isSelected()));
-        showBiomesBox.addChangeListener(e -> seedViewer.viewport.repaint());
-
-        showTerrainBox = new JCheckBox("Show Terrain");
-        showTerrainBox.setSize(0, boxHeight);
-        showTerrainBox.setSelected(seedViewer.viewport.showTerrain.get());
-        showTerrainBox.addChangeListener(e -> seedViewer.viewport.showTerrain.set(showTerrainBox.isSelected()));
-        showTerrainBox.addChangeListener(e -> seedViewer.viewport.repaint());
-
-        showCrosshairBox = new JCheckBox("Enable Cross-hair");
-        showCrosshairBox.setSize(0, boxHeight);
-        showCrosshairBox.setSelected(seedViewer.viewport.showCrosshair.get());
-        showCrosshairBox.addChangeListener(e -> seedViewer.viewport.showCrosshair.set(showCrosshairBox.isSelected()));
-        showCrosshairBox.addChangeListener(e -> seedViewer.viewport.repaint());
-
-        addManaged(slimeChunksBox);
-        addManaged(showBordersBox);
-        addManaged(showBiomesBox);
-        addManaged(showTerrainBox);
-        addManaged(showCrosshairBox);
-
-        seedInputBox = new JTextField(seedViewer.viewport.seed.toString());
-        seedInputBox.setSize(0, textFieldHeight);
-        seedInputBox.addActionListener(new AbstractAction() {
+        this.titleLabel = new JLabel("User Controls: ");
+        this.titleLabel.setSize(0, textHeight);
+        this.add(this.titleLabel);
+
+        this.slimeChunksBox = new JCheckBox("Slime Chunks");
+        this.slimeChunksBox.setSize(0, boxHeight);
+        this.slimeChunksBox.setSelected(this.seedViewer.viewport.showSlimeChunks.get());
+        this.slimeChunksBox.addChangeListener(e -> this.seedViewer.viewport.showSlimeChunks.set(this.slimeChunksBox.isSelected()));
+        this.slimeChunksBox.addChangeListener(e -> this.seedViewer.viewport.repaint());
+
+        this.showBordersBox = new JCheckBox("Chunk Borders");
+        this.showBordersBox.setSize(0, boxHeight);
+        this.showBordersBox.setSelected(this.seedViewer.viewport.showChunkBorders.get());
+        this.showBordersBox.addChangeListener(e -> this.seedViewer.viewport.showChunkBorders.set(this.showBordersBox.isSelected()));
+        this.showBordersBox.addChangeListener(e -> this.seedViewer.viewport.repaint());
+
+        this.showBiomesBox = new JCheckBox("Show Biomes");
+        this.showBiomesBox.setSize(0, boxHeight);
+        this.showBiomesBox.setSelected(this.seedViewer.viewport.showBiomes.get());
+        this.showBiomesBox.addChangeListener(e -> this.seedViewer.viewport.showBiomes.set(this.showBiomesBox.isSelected()));
+        this.showBiomesBox.addChangeListener(e -> this.seedViewer.viewport.repaint());
+
+        this.showTerrainBox = new JCheckBox("Show Terrain");
+        this.showTerrainBox.setSize(0, boxHeight);
+        this.showTerrainBox.setSelected(this.seedViewer.viewport.showTerrain.get());
+        this.showTerrainBox.addChangeListener(e -> this.seedViewer.viewport.showTerrain.set(this.showTerrainBox.isSelected()));
+        this.showTerrainBox.addChangeListener(e -> this.seedViewer.viewport.repaint());
+
+        this.showCrosshairBox = new JCheckBox("Enable Cross-hair");
+        this.showCrosshairBox.setSize(0, boxHeight);
+        this.showCrosshairBox.setSelected(this.seedViewer.viewport.showCrosshair.get());
+        this.showCrosshairBox.addChangeListener(e -> this.seedViewer.viewport.showCrosshair.set(this.showCrosshairBox.isSelected()));
+        this.showCrosshairBox.addChangeListener(e -> this.seedViewer.viewport.repaint());
+
+        addManaged(this.slimeChunksBox);
+        addManaged(this.showBordersBox);
+        addManaged(this.showBiomesBox);
+        addManaged(this.showTerrainBox);
+        addManaged(this.showCrosshairBox);
+
+        this.seedInputBox = new JTextField(this.seedViewer.viewport.seed.toString());
+        this.seedInputBox.setSize(0, textFieldHeight);
+        this.seedInputBox.addActionListener(new AbstractAction() {
             @Override
             public void actionPerformed(ActionEvent e) {
                 long boxSeed;
                 try {
-                    boxSeed = Long.parseLong(seedInputBox.getText());
+                    boxSeed = Long.parseLong(InputPanel.this.seedInputBox.getText());
                 } catch (NumberFormatException exception) {
-                    boxSeed = seedInputBox.getText().hashCode();
+                    boxSeed = InputPanel.this.seedInputBox.getText().hashCode();
                 }
-                if (boxSeed != seedViewer.viewport.seed.get()) {
-                    seedViewer.viewport.setSeed(boxSeed);
+                if (boxSeed != InputPanel.this.seedViewer.viewport.seed.get()) {
+                    InputPanel.this.seedViewer.viewport.setSeed(boxSeed);
                 }
             }
         });
-        addManaged(seedInputBox);
+        addManaged(this.seedInputBox);
 
-        screenshot = new JButton("Save Screenshot");
-        screenshot.setSize(0, button);
-        screenshot.addActionListener(new AbstractAction() {
+        this.screenshot = new JButton("Save Screenshot");
+        this.screenshot.setSize(0, button);
+        this.screenshot.addActionListener(new AbstractAction() {
             @Override
             public void actionPerformed(ActionEvent e) {
                 final File screenShotFolder = new File(Global.accessor.getMinecraftDir(), "screenshots");
@@ -134,14 +134,14 @@ public class InputPanel extends JPanel {
 
                 screenShotSelect.setAcceptAllFileFilterUsed(true);
 
-                int result = screenShotSelect.showOpenDialog(seedViewer);
+                int result = screenShotSelect.showOpenDialog(InputPanel.this.seedViewer);
                 if (result == JFileChooser.APPROVE_OPTION) {
                     File destFile = screenShotSelect.getSelectedFile();
                     LOGGER.info("Selected file: {}", destFile.getAbsolutePath());
 
-                    BufferedImage viewportImage = new BufferedImage(seedViewer.viewport.getWidth(), seedViewer.viewport.getHeight(), BufferedImage.TYPE_INT_ARGB);
+                    BufferedImage viewportImage = new BufferedImage(InputPanel.this.seedViewer.viewport.getWidth(), InputPanel.this.seedViewer.viewport.getHeight(), BufferedImage.TYPE_INT_ARGB);
                     Graphics g = viewportImage.getGraphics();
-                    seedViewer.viewport.paintToGraphics(g);
+                    InputPanel.this.seedViewer.viewport.paintToGraphics(g);
                     g.dispose();
 
                     LOGGER.info("Attempting to save screenshot to '{}'!", destFile);
@@ -156,11 +156,11 @@ public class InputPanel extends JPanel {
                 }
             }
         });
-        addManaged(screenshot);
+        addManaged(this.screenshot);
 
-        openWorld = new JButton("Open World");
-        openWorld.setSize(0, button);
-        openWorld.addActionListener(new AbstractAction() {
+        this.openWorld = new JButton("Open World");
+        this.openWorld.setSize(0, button);
+        this.openWorld.addActionListener(new AbstractAction() {
             @Override
             public void actionPerformed(ActionEvent e) {
                 JFileChooser worldSelector = new JFileChooser(new File(Global.accessor.getMinecraftDir(), "saves/"));
@@ -169,39 +169,39 @@ public class InputPanel extends JPanel {
                 worldSelector.setFileSelectionMode(JFileChooser.DIRECTORIES_ONLY);
                 worldSelector.setAcceptAllFileFilterUsed(false);
 
-                int result = worldSelector.showOpenDialog(seedViewer);
+                int result = worldSelector.showOpenDialog(InputPanel.this.seedViewer);
                 if (result == JFileChooser.APPROVE_OPTION) {
                     File selectedFile = worldSelector.getSelectedFile();
                     LOGGER.info("Selected file: {}", selectedFile.getAbsolutePath());
-                    seedViewer.viewport.setWorld(selectedFile);
+                    InputPanel.this.seedViewer.viewport.setWorld(selectedFile);
 
                 } else {
-                    seedViewer.viewport.setWorld(null);
+                    InputPanel.this.seedViewer.viewport.setWorld(null);
                 }
             }
         });
-        seedViewer.viewport.world.addChangeListener(newValue -> {
+        this.seedViewer.viewport.world.addChangeListener(newValue -> {
             if (newValue != null) {
                 onWorldOpen();
-                seedViewer.queueResize();
+                this.seedViewer.queueResize();
             } else {
                 onWorldClose();
-                seedViewer.queueResize();
+                this.seedViewer.queueResize();
             }
         });
-        addManaged(openWorld);
+        addManaged(this.openWorld);
 
-        closeWorld = new JButton("Close World");
-        closeWorld.setSize(0, button);
-        closeWorld.addActionListener(new AbstractAction() {
+        this.closeWorld = new JButton("Close World");
+        this.closeWorld.setSize(0, button);
+        this.closeWorld.addActionListener(new AbstractAction() {
             @Override
             public void actionPerformed(ActionEvent e) {
-                seedViewer.viewport.setWorld(null);
+                InputPanel.this.seedViewer.viewport.setWorld(null);
             }
         });
-        addManaged(closeWorld);
+        addManaged(this.closeWorld);
 
-        if (seedViewer.viewport.world.get() == null) {
+        if (this.seedViewer.viewport.world.get() == null) {
             onWorldClose();
         } else {
             onWorldOpen();
@@ -209,28 +209,28 @@ public class InputPanel extends JPanel {
     }
 
     public void onWorldOpen() {
-        seedInputBox.setEnabled(false);
-        seedInputBox.setVisible(false);
+        this.seedInputBox.setEnabled(false);
+        this.seedInputBox.setVisible(false);
 
-        closeWorld.setEnabled(true);
-        closeWorld.setVisible(true);
-        showTerrainBox.setEnabled(true);
-        showTerrainBox.setVisible(true);
+        this.closeWorld.setEnabled(true);
+        this.closeWorld.setVisible(true);
+        this.showTerrainBox.setEnabled(true);
+        this.showTerrainBox.setVisible(true);
     }
 
     public void onWorldClose() {
-        seedInputBox.setEnabled(true);
-        seedInputBox.setVisible(true);
+        this.seedInputBox.setEnabled(true);
+        this.seedInputBox.setVisible(true);
 
-        closeWorld.setEnabled(false);
-        closeWorld.setVisible(false);
-        showTerrainBox.setEnabled(false);
-        showTerrainBox.setVisible(false);
+        this.closeWorld.setEnabled(false);
+        this.closeWorld.setVisible(false);
+        this.showTerrainBox.setEnabled(false);
+        this.showTerrainBox.setVisible(false);
     }
 
     public void addManaged(Component c) {
         add(c);
-        resizeList.add(c);
+        this.resizeList.add(c);
     }
 
     public void onResize(Rectangle newDimensions) {
@@ -238,10 +238,10 @@ public class InputPanel extends JPanel {
 
         final int edgePad = 5;
         final int elementPad = 2;
-        titleLabel.setBounds(edgePad, edgePad, newDimensions.width - edgePad * 2, titleLabel.getHeight());
+        this.titleLabel.setBounds(edgePad, edgePad, newDimensions.width - edgePad * 2, this.titleLabel.getHeight());
 
-        int lastY = titleLabel.getY() + titleLabel.getHeight() + edgePad * 2;
-        for (Component c : resizeList) {
+        int lastY = this.titleLabel.getY() + this.titleLabel.getHeight() + edgePad * 2;
+        for (Component c : this.resizeList) {
             if (!c.isVisible()) continue;
             c.setBounds(edgePad, lastY, newDimensions.width - edgePad * 2, c.getHeight());
             lastY += c.getHeight() + elementPad;
